import request from '@/utils/request'

// 查询白胚库存主表列表
export function listEmnews(query) {
	return request({
		url: '/wms/emnews/list',
		method: 'get',
		params: query
	});
}

// 查询白胚库存主表详细
export function getEmnews(storageId) {
	return request({
		url: '/wms/emnews/' + storageId,
		method: 'get'
		});
}

// 新增白胚库存主表
export function addEmnews(data) {
	return request({
		url: '/wms/emnews',
		method: 'post',
		data: data
	});
}

// 修改白胚库存主表
export function updateEmnews(data) {
	return request({
		url: '/wms/emnews',
		method: 'put',
		data: data
	});
}

// 删除白胚库存主表
export function delEmnews(storageId) {
	return request({
		url: '/wms/emnews/' + storageId,
		method: 'delete'
	});
}
